version: 2

models:
    - name: zendesk_organizations
      description: This is the base model for Zendesk organizations.
      columns:
      - name: organization_id
        tests:
            - unique
            - not_null
      - name: arr
        description: This is the correction for AAR in organization fields. Field key cannot be changed in Zendesk.

    - name: zendesk_tickets
      description: This is the base model for Zendesk tickets.
      columns:
      - name: ticket_id
        tests:
            - unique
            - not_null

    - name: zendesk_users
      description: This is the base model for Zendesk users.
      columns:
      - name: user_id
        tests:
            - unique
            - not_null

    - name: zendesk_ticket_metrics
      description: This is the base model for Zendesk ticket metrics
      columns:
      - name: ticket_id
        tests:
            - unique
            - not_null
      - name: ticket_metrics_id
        tests:
            - unique
            - not_null
